import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSString } from "../Foundation/NSString.js";
import type { MKAddressRepresentationsContextStyle } from "./MKAddressRepresentationsContextStyle.js";
export declare class _MKAddressRepresentations extends _NSObject {
    static alloc(): _MKAddressRepresentations;
    static new(): _MKAddressRepresentations;
    init(): _MKAddressRepresentations;
    /** 1 Apple Park Way Cupertino, CA 95014 United States */
    fullAddressIncludingRegion$singleLine$(includingRegion: boolean, singleLine: boolean): _NSString | null;
    /** Cupertino, CA, United States */
    cityWithContextUsingStyle$(style: MKAddressRepresentationsContextStyle): _NSString | null;
    /** Cupertino */
    cityName(): _NSString | null;
    /** Cupertino, CA */
    cityWithContext(): _NSString | null;
    /** United States */
    regionName(): _NSString | null;
    /** US */
    regionCode(): _NSString;
}
